import {
    SelectInput,
    required,
    useTranslate,
} from 'react-admin';

const StatusSelectInput = (props) => {
    const translate = useTranslate();

    return (
        <SelectInput
            label={translate('common.field.status')}
            source="status"
            validate={[required()]}
            choices={[
                { id: '1', name: 'common.enums.statusTrue' },
                { id: '0', name: 'common.enums.statusFalse' },
            ]}
            defaultValue={1}
            helperText={false}
            {...props}
        />
    )
}

export default StatusSelectInput;